Subject: RE: [External] : bug#50248: [DOC] Setting User Options in Init File

From: Drew Adams <[email-masked]>
Date: Sun, 29 Aug 2021 22:57:05 +0000

> > Informative text should be added to the following sections: 49.4.1 and
> > 49.4.2.
> 
> I've now done so in Emacs 28.  It was really difficult to find any
> variable that you'd want to recommend anybody using `set-variable' on in
> their init files, but I think I found a reasonable one.  (If somebody
> can come up with a better example, feel free to edit.)

1. `set-variable' is the wrong thing to
recommend for an init file (for a couple of
reasons).

It's OK to use `customize-set-variable' and
`custom-set-variables' in an init file.

2. And yet you closed #21695, saying
"No, using setq for user options is fine"?

Fine or not fine?  Apparently, depending on
the messenger, you now agree it's not always
fine.

3. You found one example.  So far so good.

Now please DTRT:

 "Please (case by case) change examples that
  use `setq' to set an option value"
___

More generally, users shouldn't be encouraged
to use `setq' to set user options, allowing
as an _exception_  if they happen to have
checked carefully and are sure that's a bad
idea for this or that option.

That's like encouraging use of list-modifying
functions, allowing as an _exception_  if you
happen to have checked carefully and are sure
it's a bad idea in some particular case.

IOW, such guidance is backward.

As a _general rule_, users should be
DIScouraged from using `setq' with user
options.

And they should be told why, so they
understand and remember the guidance.